Bug 1743873 - [ RHHI.next] baremetal: use openshift releases for ironic images
Summary: [ RHHI.next] baremetal: use openshift releases for ironic images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.0
Assignee: Stephen Benjamin
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-20 21:17 UTC by Stephen Benjamin
Modified: 2019-10-16 06:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:36:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2234 None None None 2019-08-20 21:20:44 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:37:07 UTC

Description Stephen Benjamin 2019-08-20 21:17:10 UTC
Currently, the bootstrap node uses upstream Ironic images from the Metal3 project. Instead, the installer should look for the pullspec from the release payload and use that instead.

Comment 2 Marius Cornea 2019-09-11 15:54:27 UTC
[root@localhost core]# podman ps
CONTAINER ID  IMAGE                                                                                                                   COMMAND               CREATED             STATUS                 PORTS  NAMES
85aeeb8d7d5d  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:be52066fd88c810feaf3478880838af7b7e4243e39c31044dc85eb87db891644  /bin/runironic-ap...  4 seconds ago       Up 3 seconds ago              ironic-api
6178468fb394  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:47efac043e7679dc91a509d7163f5b16afe7731a2fa54f553e6420de295e016c  /bin/runironic-in...  4 seconds ago       Up 4 seconds ago              ironic-inspector
b182eed2b596  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:be52066fd88c810feaf3478880838af7b7e4243e39c31044dc85eb87db891644  /bin/runironic-co...  15 seconds ago      Up 14 seconds ago             ironic-conductor
6d2e937aca29  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:be52066fd88c810feaf3478880838af7b7e4243e39c31044dc85eb87db891644  /bin/runhttpd         17 seconds ago      Up 17 seconds ago             httpd
bef90f9754a9  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:be52066fd88c810feaf3478880838af7b7e4243e39c31044dc85eb87db891644  /bin/rundnsmasq       17 seconds ago      Up 17 seconds ago             dnsmasq
804e968039b7  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:be52066fd88c810feaf3478880838af7b7e4243e39c31044dc85eb87db891644  /bin/runmariadb       18 seconds ago      Up 17 seconds ago             mariadb
26145f31f176  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6dae5b313efac6d5f43015befb5a49b354330275714814724a7e89f10c65e452  etcdctl --dial-ti...  58 seconds ago      Up 58 seconds ago             etcdctl
cbfdf8367ff9  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:7e2e2de66d2ac1724d90cb9eb788df77ee6cd2f046ab405254d0cc9af2118da8  /usr/bin/kube-etc...  About a minute ago  Up About a minute ago         etcd-signer

Comment 3 errata-xmlrpc 2019-10-16 06:36:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.